{"items":[{"type":"link","label":"ShipSaving New API","link":"/zh-hans/v2/openapi","routeSlug":"/zh-hans/v2/openapi","content":{"contentType":"overview","meta":{"name":"ShipSaving New API"},"children":[{"nodeType":"container","panels":[{"title":"Overview","titleTranslationKey":"info.title","children":[{"kind":"externallink","title":"License","titleTranslationKey":"info.license","label":"Apache 2.0","url":"https://www.apache.org/licenses/LICENSE-2.0"}]},{"title":"Languages","titleTranslationKey":"languages.title","children":[{"kind":"languages","options":[{"key":"curl","title":"curl","lang":"curl"},{"key":"javascript","title":"JavaScript","lang":"JavaScript"},{"key":"node","title":"Node.js","lang":"Node.js"},{"key":"python","title":"Python","lang":"Python"},{"key":"java","title":"Java","lang":"Java"},{"key":"csharp","title":"C#","lang":"C#"},{"key":"php","title":"PHP","lang":"PHP"},{"key":"go","title":"Go","lang":"Go"},{"key":"ruby","title":"Ruby","lang":"Ruby"},{"key":"r","title":"R","lang":"R"},{"key":"payload","title":"Payload","lang":"Payload"}]}]},{"title":"Servers","titleTranslationKey":"servers.title","children":[{"kind":"servers","servers":[{"url":"https://x-api.shipsaving.com"}],"mode":"default"}]}],"children":[{"nodeType":"overview-section-wrapper","children":[{"nodeType":"header","level":1,"label":"ShipSaving New API (v2)","showPageActions":true}],"sectionId":"/zh-hans/v2/openapi"}]}]}},{"type":"group","label":"认证与授权","link":"/zh-hans/v2/openapi/认证与授权","routeSlug":"/zh-hans/v2/openapi/认证与授权","items":[{"label":"获取访问令牌","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/认证与授权/getaccesstoken","routeSlug":"/zh-hans/v2/openapi/认证与授权/getaccesstoken","metadata":{"seo":{"title":"获取访问令牌","description":"使用 OAuth 2.1 Client Credentials 授权模式签发一个短期有效的访问令牌。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getAccessToken","name":"获取访问令牌","isWebhook":false,"pointer":"/paths/~1oauth2~1token/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"获取访问令牌","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"使用 OAuth 2.1 "},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Client Credentials"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 授权模式签发一个"},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"短期有效的访问令牌"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"请在请求中提供以下信息："},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Authorization: Basic base64(AppKey:AppSecret)"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"Content-Type: application/x-www-form-urlencoded"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"basicAuth","scopes":[],"type":"http","scheme":"basic","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"使用AppKey/AppSecret的基础认证。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"schema_184","exampleIds":["paths/~1oauth2~1token/post/requestBody/content/application~1x-www-form-urlencoded/examples/curlExample"]}},"schemaId":"schema_184","exampleIds":["paths/~1oauth2~1token/post/requestBody/content/application~1x-www-form-urlencoded/examples/curlExample"],"pointer":"/paths/~1oauth2~1token/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/oauth2/token","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"basicAuth","type":"http","scheme":"basic"}],"scopes":[]}],"requestBody":{"application/x-www-form-urlencoded":{"schemaId":"schema_184","exampleIds":["paths/~1oauth2~1token/post/requestBody/content/application~1x-www-form-urlencoded/examples/curlExample"]}},"responseCodes":["200","400","401"],"pointer":"/oauth2/token","href":"认证与授权/getaccesstoken","openApiOperationId":"getAccessToken","summary":"获取访问令牌"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"schema_184","exampleIds":["paths/~1oauth2~1token/post/requestBody/content/application~1x-www-form-urlencoded/examples/curlExample"],"mediaTypes":["application/x-www-form-urlencoded"],"mediaTypeSchemas":{"application/x-www-form-urlencoded":{"schemaId":"schema_184","exampleIds":["paths/~1oauth2~1token/post/requestBody/content/application~1x-www-form-urlencoded/examples/curlExample"]}},"examples":[{}]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"已签发访问令牌"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1oauth2~1token/post/responses/200/content/application~1json/examples/success"]}},"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1oauth2~1token/post/responses/200/content/application~1json/examples/success"]},{"code":"400","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"非法请求"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError","exampleIds":["paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badContentType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badGrantType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/invalidScope"]}},"schemaId":"components/schemas/OAuthError","exampleIds":["paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badContentType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badGrantType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/invalidScope"]},{"code":"401","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"客户端凭证无效，或使用了已过期/无效的访问令牌。"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}},"schemaId":"components/schemas/OAuthError"}],"pointer":"/paths/~1oauth2~1token/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1oauth2~1token/post/responses/200/content/application~1json/examples/success"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TokenResponse","exampleIds":["paths/~1oauth2~1token/post/responses/200/content/application~1json/examples/success"]}}},{"code":"400","schemaId":"components/schemas/OAuthError","exampleIds":["paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badContentType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badGrantType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/invalidScope"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError","exampleIds":["paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badContentType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/badGrantType","paths/~1oauth2~1token/post/responses/400/content/application~1json/examples/invalidScope"]}}},{"code":"401","schemaId":"components/schemas/OAuthError","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/OAuthError"}}}],"examples":[]}]}]}]},"httpPath":"/oauth2/token"}],"content":{"contentType":"group","meta":{"name":"认证与授权"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"认证与授权","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/oauth2/token","summary":"获取访问令牌","prefix":{"name":"post","color":"post"},"badges":[],"link":"/认证与授权/getaccesstoken","deprecated":false}]}]}]}]}},{"type":"group","label":"运单","link":"/zh-hans/v2/openapi/运单","routeSlug":"/zh-hans/v2/openapi/运单","items":[{"label":"批量快速报价","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/batchquickrate","routeSlug":"/zh-hans/v2/openapi/运单/batchquickrate","metadata":{"seo":{"title":"批量快速报价","description":"该接口允许通过提供 from_address_data、to_address_data、package_data 和 ship_date 快速获取运单运费报价。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"batchQuickRate","name":"批量快速报价","isWebhook":false,"pointer":"/paths/~1api~1shipment~1batch~1quick_rate/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"批量快速报价","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口允许通过提供 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"from_address_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"to_address_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"package_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 和 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"ship_date"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 快速获取运单运费报价。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"每次 API 调用最多可包含10个独立的运费报价请求。"},"children":[]}]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"此前，该接口仅返回USPS Ground Advantage的运费报价。现在，你可以通过 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"shipment_rate_carrier_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 字段可选地指定额外的承运商及服务等级。有关该参数的详细使用说明，请参见请求schema。"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若未提供 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"shipment_rate_carrier_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：系统将仅返回USPS Ground Advantage的运费报价（默认行为）。"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若提供了 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"shipment_rate_carrier_data"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：系统将仅返回所指定的承运商及服务等级对应的运费报价。支持在单个请求中提交多个承运商与服务等级的组合。"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BatchQuickRateRequest"}},"schemaId":"components/schemas/BatchQuickRateRequest","pointer":"/paths/~1api~1shipment~1batch~1quick_rate/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/batch/quick_rate","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/BatchQuickRateRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/batch/quick_rate","href":"运单/batchquickrate","openApiOperationId":"batchQuickRate","summary":"批量快速报价"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/BatchQuickRateRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BatchQuickRateRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/BatchQuickRateResponse"}},"schemaId":"components/schemas/BatchQuickRateResponse"}],"pointer":"/paths/~1api~1shipment~1batch~1quick_rate/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/BatchQuickRateResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/BatchQuickRateResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/batch/quick_rate"},{"label":"查询报价","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/getrates","routeSlug":"/zh-hans/v2/openapi/运单/getrates","metadata":{"seo":{"title":"查询报价","description":"获取你账户下所有启用的承运商及服务等级的运费报价，并可按指定的承运商和服务等级进行可选筛选。返回结果将按照最快、最便宜等条件进行排序，同时包含适用的错误信息（如有）。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getRates","name":"查询报价","isWebhook":false,"pointer":"/paths/~1api~1shipment~1get_rates/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"查询报价","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"获取你账户下所有启用的承运商及服务等级的运费报价，并可按指定的承运商和服务等级进行可选筛选。返回结果将按照最快、最便宜等条件进行排序，同时包含适用的错误信息（如有）。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ShipmentRateRequest"}},"schemaId":"components/schemas/ShipmentRateRequest","pointer":"/paths/~1api~1shipment~1get_rates/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/get_rates","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ShipmentRateRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/get_rates","href":"运单/getrates","openApiOperationId":"getRates","summary":"查询报价"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/ShipmentRateRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ShipmentRateRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GetRatesResponse"}},"schemaId":"components/schemas/GetRatesResponse"}],"pointer":"/paths/~1api~1shipment~1get_rates/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/GetRatesResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/GetRatesResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/get_rates"},{"label":"购买运单","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/createandpay","routeSlug":"/zh-hans/v2/openapi/运单/createandpay","metadata":{"seo":{"title":"购买运单","description":"使用先前 get_rates 接口返回的 rate_id 创建并支付运单面单。该接口还支持在同一次请求中购买运单保险（保险不可单独购买）。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createAndPay","name":"购买运单","isWebhook":false,"pointer":"/paths/~1api~1shipment~1create_and_pay/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"购买运单","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"使用先前 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"get_rates"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 接口返回的 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"rate_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 创建并支付运单面单。该接口还支持在同一次请求中购买运单保险（保险不可单独购买）。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"为防止因网络波动或重试导致的重复购买，API会检查在指定的 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"platform_uk_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 下是否已存在对应的运单。"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若发现已存在相关运单，则直接返回该运单信息，并将响应中的 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"duplicate_label"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 字段设置为 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若不存在相关运单，则按正常流程创建新的运单，且 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"duplicate_label"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 字段为 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"false"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BuyLabelRequest"}},"schemaId":"components/schemas/BuyLabelRequest","pointer":"/paths/~1api~1shipment~1create_and_pay/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/create_and_pay","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/BuyLabelRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/create_and_pay","href":"运单/createandpay","openApiOperationId":"createAndPay","summary":"购买运单"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/BuyLabelRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BuyLabelRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ShipmentPurchaseResponse"}},"schemaId":"components/schemas/ShipmentPurchaseResponse"}],"pointer":"/paths/~1api~1shipment~1create_and_pay/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ShipmentPurchaseResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ShipmentPurchaseResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/create_and_pay"},{"label":"直接购买运单","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/directbuy","routeSlug":"/zh-hans/v2/openapi/运单/directbuy","metadata":{"seo":{"title":"直接购买运单","description":"无需单独调用 get_rates 接口，即可一步完成运单面单的创建与购买。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"directBuy","name":"直接购买运单","isWebhook":false,"pointer":"/paths/~1api~1shipment~1direct_buy/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"直接购买运单","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"无需单独调用 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"get_rates"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 接口，即可一步完成运单面单的创建与购买。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口当前支持 USPS Returns 服务类型，完整的支持列表请参阅附录（Appendix）。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"为防止因网络波动或重试导致的重复购买，API会检查在指定的 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"platform_uk_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 下是否已存在对应的运单。"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若发现已存在相关运单，则直接返回该运单信息，并将响应中的 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"duplicate_label"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 字段设置为 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"若不存在相关运单，则按正常流程创建新的运单，且 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"duplicate_label"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 字段为 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"false"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/DirectBuyShipmentRequest"}},"schemaId":"components/schemas/DirectBuyShipmentRequest","pointer":"/paths/~1api~1shipment~1direct_buy/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/direct_buy","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/DirectBuyShipmentRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/direct_buy","href":"运单/directbuy","openApiOperationId":"directBuy","summary":"直接购买运单"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/DirectBuyShipmentRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/DirectBuyShipmentRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ShipmentPurchaseResponse"}},"schemaId":"components/schemas/ShipmentPurchaseResponse"}],"pointer":"/paths/~1api~1shipment~1direct_buy/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ShipmentPurchaseResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ShipmentPurchaseResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/direct_buy"},{"label":"作废运单","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/voidlabel","routeSlug":"/zh-hans/v2/openapi/运单/voidlabel","metadata":{"seo":{"title":"作废运单","description":"该接口支持通过 以下任一方式 作废运单面单：shipment_no 或 platform_uk_id。仅需提供其中一个参数即可唯一标识一条运单。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"voidLabel","name":"作废运单","isWebhook":false,"pointer":"/paths/~1api~1shipment~1void_label/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"作废运单","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口支持通过 "},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"以下任一方式"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 作废运单面单："},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"shipment_no"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 或 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"platform_uk_id"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。仅需提供其中一个参数即可唯一标识一条运单。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ShipmentVoidRequest"}},"schemaId":"components/schemas/ShipmentVoidRequest","pointer":"/paths/~1api~1shipment~1void_label/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/void_label","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ShipmentVoidRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/void_label","href":"运单/voidlabel","openApiOperationId":"voidLabel","summary":"作废运单"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/ShipmentVoidRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ShipmentVoidRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CommonServiceResponse"}},"schemaId":"components/schemas/CommonServiceResponse"}],"pointer":"/paths/~1api~1shipment~1void_label/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/CommonServiceResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CommonServiceResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/void_label"},{"label":"查询保险报价","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/运单/paths/~1api~1shipment~1insurance~1rate/get","routeSlug":"/zh-hans/v2/openapi/运单/paths/~1api~1shipment~1insurance~1rate/get","metadata":{"seo":{"title":"查询保险报价","description":"查询保险报价"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"name":"查询保险报价","isWebhook":false,"pointer":"/paths/~1api~1shipment~1insurance~1rate/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"查询保险报价","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"declared_value","in":"query","schemaId":"schema_185","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"运单保险的申报金额（美元）"},"children":[]}]}]}],"required":true,"example":200},{"name":"service_level","in":"query","schemaId":"schema_186","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"保险报价请求必须指定 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"service_level"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。不同的服务等级对应不同的定价。"},"children":[]}]}]}],"required":true,"example":"USPS_GROUND_ADVANTAGE"}],"pointer":"/paths/~1api~1shipment~1insurance~1rate/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/shipment/insurance/rate","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[{"name":"declared_value","in":"query","required":true,"example":200,"schemaId":"schema_185"},{"name":"service_level","in":"query","required":true,"example":"USPS_GROUND_ADVANTAGE","schemaId":"schema_186"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/shipment/insurance/rate","href":"运单/paths/~1api~1shipment~1insurance~1rate/get","summary":"查询保险报价"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/InsuranceRateResponse"}},"schemaId":"components/schemas/InsuranceRateResponse"}],"pointer":"/paths/~1api~1shipment~1insurance~1rate/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/InsuranceRateResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/InsuranceRateResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/insurance/rate"}],"content":{"contentType":"group","meta":{"name":"运单"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"运单","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/shipment/batch/quick_rate","summary":"批量快速报价","prefix":{"name":"post","color":"post"},"badges":[],"link":"/运单/batchquickrate","deprecated":false},{"title":"/api/shipment/get_rates","summary":"查询报价","prefix":{"name":"post","color":"post"},"badges":[],"link":"/运单/getrates","deprecated":false},{"title":"/api/shipment/create_and_pay","summary":"购买运单","prefix":{"name":"post","color":"post"},"badges":[],"link":"/运单/createandpay","deprecated":false},{"title":"/api/shipment/direct_buy","summary":"直接购买运单","prefix":{"name":"post","color":"post"},"badges":[],"link":"/运单/directbuy","deprecated":false},{"title":"/api/shipment/void_label","summary":"作废运单","prefix":{"name":"post","color":"post"},"badges":[],"link":"/运单/voidlabel","deprecated":false},{"title":"/api/shipment/insurance/rate","summary":"查询保险报价","prefix":{"name":"get","color":"get"},"badges":[],"link":"/运单/paths/~1api~1shipment~1insurance~1rate/get","deprecated":false}]}]}]}]}},{"type":"group","label":"物流轨迹","link":"/zh-hans/v2/openapi/物流轨迹","routeSlug":"/zh-hans/v2/openapi/物流轨迹","items":[{"label":"通过运单号查询物流状态（包含UTC偏移量）","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/物流轨迹/getshipmenttrackingwithutcoffset","routeSlug":"/zh-hans/v2/openapi/物流轨迹/getshipmenttrackingwithutcoffset","metadata":{"seo":{"title":"通过运单号查询物流状态（包含UTC偏移量）","description":"获取承运商上报的当前运单追踪事件、首次扫描事件以及完整的物流追踪事件历史。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getShipmentTrackingWithUtcOffset","name":"通过运单号查询物流状态（包含UTC偏移量）","isWebhook":false,"pointer":"/paths/~1api~1shipment~1direct~1tracking_by_tracking_no/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"通过运单号查询物流状态（包含UTC偏移量）","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"获取承运商上报的当前运单追踪事件、首次扫描事件以及完整的物流追踪事件历史。"},"children":[]}]}]},{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口返回的所有物流事件时间戳均采用包含UTC偏移量的ISO 8601格式，"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"以便客户端在不同时区环境下准确解析和还原事件发生的本地时间。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"tracking_no","in":"query","schemaId":"schema_186","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"运单追踪号"},"children":[]}]}]}],"required":true,"example":940013620842281000000},{"name":"carrier_code","in":"query","schemaId":"schema_187","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"承运商代码"},"children":[]}]}]}],"required":true}],"pointer":"/paths/~1api~1shipment~1direct~1tracking_by_tracking_no/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/shipment/direct/tracking_by_tracking_no","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[{"name":"tracking_no","in":"query","required":true,"example":940013620842281000000,"schemaId":"schema_186"},{"name":"carrier_code","in":"query","required":true,"example":"USPS","schemaId":"schema_187"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/shipment/direct/tracking_by_tracking_no","href":"物流轨迹/getshipmenttrackingwithutcoffset","openApiOperationId":"getShipmentTrackingWithUtcOffset","summary":"通过运单号查询物流状态（包含UTC偏移量）"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"请求成功"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TrackingStatusWithUtcOffsetResponse"}},"schemaId":"components/schemas/TrackingStatusWithUtcOffsetResponse"}],"pointer":"/paths/~1api~1shipment~1direct~1tracking_by_tracking_no/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/TrackingStatusWithUtcOffsetResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/TrackingStatusWithUtcOffsetResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/direct/tracking_by_tracking_no"},{"label":"提交 Proof of Delivery（签收凭证）","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/物流轨迹/submitpod","routeSlug":"/zh-hans/v2/openapi/物流轨迹/submitpod","metadata":{"seo":{"title":"提交 Proof of Delivery（签收凭证）","description":"为已送达的运单提交 Proof of Delivery（签收凭证）请求。目前仅支持 USPS（carrier_code = USPS），其他承运商会返回业务错误。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"submitPod","name":"提交 Proof of Delivery（签收凭证）","isWebhook":false,"pointer":"/paths/~1api~1shipment~1submit_pod/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"提交 Proof of Delivery（签收凭证）","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"为已送达的运单提交 Proof of Delivery（签收凭证）请求。目前仅支持 USPS（"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"carrier_code = USPS"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"），其他承运商会返回业务错误。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PodSubmitRequest"}},"schemaId":"components/schemas/PodSubmitRequest","pointer":"/paths/~1api~1shipment~1submit_pod/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/submit_pod","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/PodSubmitRequest"}},"responseCodes":["200"],"pointer":"/api/shipment/submit_pod","href":"物流轨迹/submitpod","openApiOperationId":"submitPod","summary":"提交 Proof of Delivery（签收凭证）"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/PodSubmitRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/PodSubmitRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"成功"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PodSubmitResponseEnvelope"}},"schemaId":"components/schemas/PodSubmitResponseEnvelope"}],"pointer":"/paths/~1api~1shipment~1submit_pod/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/PodSubmitResponseEnvelope","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/PodSubmitResponseEnvelope"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/submit_pod"}],"content":{"contentType":"group","meta":{"name":"物流轨迹"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"物流轨迹","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/shipment/direct/tracking_by_tracking_no","summary":"通过运单号查询物流状态（包含UTC偏移量）","prefix":{"name":"get","color":"get"},"badges":[],"link":"/物流轨迹/getshipmenttrackingwithutcoffset","deprecated":false},{"title":"/api/shipment/submit_pod","summary":"提交 Proof of Delivery（签收凭证）","prefix":{"name":"post","color":"post"},"badges":[],"link":"/物流轨迹/submitpod","deprecated":false}]}]}]}]}},{"type":"group","label":"预约取件","link":"/zh-hans/v2/openapi/预约取件","routeSlug":"/zh-hans/v2/openapi/预约取件","items":[{"label":"预约取件","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/预约取件/addpickupbyshipment","routeSlug":"/zh-hans/v2/openapi/预约取件/addpickupbyshipment","metadata":{"seo":{"title":"预约取件","description":"使用已有的发货信息创建 USPS 承运商取件请求。该接口会安排 USPS 快递员在下一个 USPS 投递日上门取走符合条件的包裹。该接口可能返回的全部错误码，请参见附录 — 预约取件错误码。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"addPickupByShipment","name":"预约取件","isWebhook":false,"pointer":"/paths/~1api~1shipment~1pickup~1add/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"预约取件","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"使用已有的发货信息创建 USPS 承运商取件请求。该接口会安排 USPS 快递员在"},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"下一个 USPS 投递日"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"上门取走符合条件的包裹。"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口可能返回的全部错误码，请参见"},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://docs.shipsaving.com/zh-hans/v2/appendix#post-apishipmentpickupadd"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"附录 — 预约取件错误码"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AddPickUpByShipmentRequest"}},"schemaId":"components/schemas/AddPickUpByShipmentRequest","pointer":"/paths/~1api~1shipment~1pickup~1add/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/pickup/add","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/AddPickUpByShipmentRequest"}},"responseCodes":["200","400"],"pointer":"/api/shipment/pickup/add","href":"预约取件/addpickupbyshipment","openApiOperationId":"addPickupByShipment","summary":"预约取件"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/AddPickUpByShipmentRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/AddPickUpByShipmentRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_188"}},"schemaId":"schema_188"},{"code":"400","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"请求错误"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentAlreadyInPickup","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentNotExist","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/missingAddressFields","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/invalidAddress"]}},"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentAlreadyInPickup","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentNotExist","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/missingAddressFields","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/invalidAddress"]}],"pointer":"/paths/~1api~1shipment~1pickup~1add/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"schema_188","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_188"}}},{"code":"400","schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentAlreadyInPickup","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentNotExist","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/missingAddressFields","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/invalidAddress"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentAlreadyInPickup","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/shipmentNotExist","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/missingAddressFields","paths/~1api~1shipment~1pickup~1add/post/responses/400/content/application~1json/examples/invalidAddress"]}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/pickup/add"},{"label":"取消预约取件","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/预约取件/cancelpickup","routeSlug":"/zh-hans/v2/openapi/预约取件/cancelpickup","metadata":{"seo":{"title":"取消预约取件","description":"取消先前已预约的承运商取件。取件一旦被取消，将无法再次更新或取消。该接口除 pickup_no 外不需要提供任何其他参数。取消成功后，取件状态将变更为 CANCELED。该接口可能返回的全部错误码，请参见附录 — 预约取件错误码。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"cancelPickup","name":"取消预约取件","isWebhook":false,"pointer":"/paths/~1api~1shipment~1pickup~1cancel/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"取消预约取件","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"取消先前已预约的承运商取件。取件一旦被取消，将无法再次更新或取消。该接口除 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"pickup_no"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" 外不需要提供任何其他参数。取消成功后，取件状态将变更为 "},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"CANCELED"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]},{"$$mdtype":"Node","type":"softbreak","inline":true,"attributes":{},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"该接口可能返回的全部错误码，请参见"},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://docs.shipsaving.com/zh-hans/v2/appendix#post-apishipmentpickupcancel"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"附录 — 预约取件错误码"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CancelPickupRequest"}},"schemaId":"components/schemas/CancelPickupRequest","pointer":"/paths/~1api~1shipment~1pickup~1cancel/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/shipment/pickup/cancel","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/CancelPickupRequest"}},"responseCodes":["200","400"],"pointer":"/api/shipment/pickup/cancel","href":"预约取件/cancelpickup","openApiOperationId":"cancelPickup","summary":"取消预约取件"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/CancelPickupRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/CancelPickupRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CommonServiceResponse"}},"schemaId":"components/schemas/CommonServiceResponse"},{"code":"400","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"请求错误"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1cancel/post/responses/400/content/application~1json/examples/pickupAlreadyCanceled"]}},"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1cancel/post/responses/400/content/application~1json/examples/pickupAlreadyCanceled"]}],"pointer":"/paths/~1api~1shipment~1pickup~1cancel/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/CommonServiceResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/CommonServiceResponse"}}},{"code":"400","schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1cancel/post/responses/400/content/application~1json/examples/pickupAlreadyCanceled"],"mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"schema_189","exampleIds":["paths/~1api~1shipment~1pickup~1cancel/post/responses/400/content/application~1json/examples/pickupAlreadyCanceled"]}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/pickup/cancel"},{"label":"查询历史预约取件记录","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/预约取件/getpickuplist","routeSlug":"/zh-hans/v2/openapi/预约取件/getpickuplist","metadata":{"seo":{"title":"查询历史预约取件记录","description":"获取系统中已创建的取件记录分页列表。该接口支持按USPS确认号、取件状态以及承运商代码等条件进行可选筛选。分页参数（page和page_size）用于控制返回数据集的大小，order_by参数用于指定结果的排序方式。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getPickupList","name":"查询历史预约取件记录","isWebhook":false,"pointer":"/paths/~1api~1shipment~1pickup~1list/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"查询历史预约取件记录","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"获取系统中已创建的取件记录分页列表。该接口支持按USPS确认号、取件状态以及承运商代码等条件进行可选筛选。分页参数（"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"page"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"和"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"page_size"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"）用于控制返回数据集的大小，"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"order_by"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"参数用于指定结果的排序方式。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"query","label":"Query","labelTranslationKey":"query","parameters":[{"name":"confirmation_number","in":"query","schemaId":"schema_190"},{"name":"status","in":"query","schemaId":"schema_191","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"取件状态筛选条件"},"children":[]}]}]}]},{"name":"carrier_code","in":"query","schemaId":"schema_192"},{"name":"page","in":"query","schemaId":"schema_193","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"分页结果的页码（从1开始）"},"children":[]}]}]}]},{"name":"page_size","in":"query","schemaId":"schema_194","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"每页返回的结果数量"},"children":[]}]}]}]},{"name":"order_by","in":"query","schemaId":"schema_195","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"用于控制时间排序的标志："},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"true"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：按时间正序排列（最早→最新）"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"false"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：按时间倒序排列（最新→最早）"},"children":[]}]}]}]}],"required":true}],"pointer":"/paths/~1api~1shipment~1pickup~1list/get/parameters"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/shipment/pickup/list","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[{"name":"confirmation_number","in":"query","required":false,"example":"WTC65384000","schemaId":"components/schemas/PickUpConfirmationNo"},{"name":"status","in":"query","required":false,"schemaId":"schema_191"},{"name":"carrier_code","in":"query","required":false,"example":"USPS","schemaId":"components/schemas/PickUpCarrierCodeEnum"},{"name":"page","in":"query","required":false,"schemaId":"schema_193"},{"name":"page_size","in":"query","required":false,"schemaId":"schema_194"},{"name":"order_by","in":"query","required":true,"schemaId":"schema_195"}],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/shipment/pickup/list","href":"预约取件/getpickuplist","openApiOperationId":"getPickupList","summary":"查询历史预约取件记录"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/QueryPickupResponse"}},"schemaId":"components/schemas/QueryPickupResponse"}],"pointer":"/paths/~1api~1shipment~1pickup~1list/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/QueryPickupResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/QueryPickupResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/pickup/list"},{"label":"查询包裹位置","deprecated":false,"httpVerb":"get","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/预约取件/getpackagelocation","routeSlug":"/zh-hans/v2/openapi/预约取件/getpackagelocation","metadata":{"seo":{"title":"查询包裹位置","description":"返回有效的包裹放置位置枚举值列表。这些枚举值用于指示在预约取件时，包裹将被放置在取件地址的具体位置，供USPS邮政投递员上门取件。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"getPackageLocation","name":"查询包裹位置","isWebhook":false,"pointer":"/paths/~1api~1shipment~1pickup~1package~1location~1list/get","hasSamples":false},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"查询包裹位置","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"返回有效的包裹放置位置枚举值列表。这些枚举值用于指示在预约取件时，包裹将被放置在取件地址的具体位置，供USPS邮政投递员上门取件。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"GET","path":"/api/shipment/pickup/package/location/list","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"responseCodes":["200"],"pointer":"/api/shipment/pickup/package/location/list","href":"预约取件/getpackagelocation","openApiOperationId":"getPackageLocation","summary":"查询包裹位置"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"OK","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/QueryPackageLocationResponse"}},"schemaId":"components/schemas/QueryPackageLocationResponse"}],"pointer":"/paths/~1api~1shipment~1pickup~1package~1location~1list/get/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/QueryPackageLocationResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/QueryPackageLocationResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/shipment/pickup/package/location/list"}],"content":{"contentType":"group","meta":{"name":"预约取件"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"预约取件","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/shipment/pickup/add","summary":"预约取件","prefix":{"name":"post","color":"post"},"badges":[],"link":"/预约取件/addpickupbyshipment","deprecated":false},{"title":"/api/shipment/pickup/cancel","summary":"取消预约取件","prefix":{"name":"post","color":"post"},"badges":[],"link":"/预约取件/cancelpickup","deprecated":false},{"title":"/api/shipment/pickup/list","summary":"查询历史预约取件记录","prefix":{"name":"get","color":"get"},"badges":[],"link":"/预约取件/getpickuplist","deprecated":false},{"title":"/api/shipment/pickup/package/location/list","summary":"查询包裹位置","prefix":{"name":"get","color":"get"},"badges":[],"link":"/预约取件/getpackagelocation","deprecated":false}]}]}]}]}},{"type":"group","label":"地址验证","link":"/zh-hans/v2/openapi/地址验证","routeSlug":"/zh-hans/v2/openapi/地址验证","items":[{"label":"地址验证","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/地址验证/validateaddress","routeSlug":"/zh-hans/v2/openapi/地址验证/validateaddress","metadata":{"seo":{"title":"地址验证","description":"地址校验接口用于校验美国国内地址的有效性，并按照 USPS® 地址规范返回标准化后的地址组成部分。该API有助于提升投递准确率、减少无法投递的包裹，并为物流与运费计算提供一致且可靠的地址基础。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"validateAddress","name":"地址验证","isWebhook":false,"pointer":"/paths/~1api~1address~1validate/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"地址验证","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"地址校验接口用于校验"},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"美国国内地址"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"的有效性，并按照 "},"children":[]},{"$$mdtype":"Node","type":"strong","inline":true,"attributes":{"marker":"**"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"USPS® 地址规范"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"返回标准化后的地址组成部分。该API有助于提升投递准确率、减少无法投递的包裹，并为物流与运费计算提供一致且可靠的地址基础。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BasicAddress"}},"schemaId":"components/schemas/BasicAddress","pointer":"/paths/~1api~1address~1validate/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/address/validate","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/BasicAddress"}},"responseCodes":["200"],"pointer":"/api/address/validate","href":"地址验证/validateaddress","openApiOperationId":"validateAddress","summary":"地址验证"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/BasicAddress","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/BasicAddress"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":"ok","mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/AddressValidateResponse"}},"schemaId":"components/schemas/AddressValidateResponse"}],"pointer":"/paths/~1api~1address~1validate/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/AddressValidateResponse","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/AddressValidateResponse"}}}],"examples":[]}]}]}]},"httpPath":"/api/address/validate"}],"content":{"contentType":"group","meta":{"name":"地址验证"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"地址验证","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/address/validate","summary":"地址验证","prefix":{"name":"post","color":"post"},"badges":[],"link":"/地址验证/validateaddress","deprecated":false}]}]}]}]}},{"type":"group","label":"SCAN Form","link":"/zh-hans/v2/openapi/scan-form","routeSlug":"/zh-hans/v2/openapi/scan-form","items":[{"label":"创建 SCAN Form","deprecated":false,"httpVerb":"post","isAdditionalOperation":false,"isWebhook":false,"type":"link","link":"/zh-hans/v2/openapi/scan-form/createscanform","routeSlug":"/zh-hans/v2/openapi/scan-form/createscanform","metadata":{"seo":{"title":"创建 SCAN Form","description":"为一组已购买的运单创建 USPS SCAN Form（PS Form 5630），并返回生成的清单 PDF 的 URL。SCAN Form 是一张把多个运单合并到一起的清单条码，承运商在揽收时扫描这一张即可一次性接收整批运单。"}},"content":{"contentType":"item","itemVariant":"httpItem","meta":{"sourceId":"createScanForm","name":"创建 SCAN Form","isWebhook":false,"pointer":"/paths/~1api~1scan_form~1create_scan_form/post","hasSamples":true},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"创建 SCAN Form","isWebhook":false,"showPageActions":true}],"panels":[]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Request","labelTranslationKey":"request","deepLinkSuffix":"request"},{"nodeType":"markdoc","content":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"为一组已购买的运单创建 USPS SCAN Form（PS Form 5630），并返回生成的清单 PDF 的 URL。SCAN Form 是一张把多个运单合并到一起的清单条码，承运商在揽收时扫描这一张即可一次性接收整批运单。"},"children":[]}]}]}]},{"nodeType":"security","requirements":[{"schemes":[{"name":"BearerAuth","scopes":[],"type":"http","scheme":"bearer","bearerFormat":"JWT","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"Bearer令牌认证（JWT）。"},"children":[]}]}]}]}]}]},{"nodeType":"item-content","variant":"body","label":"Request Body","labelTranslationKey":"body","required":true,"mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ScanFormCreateRequest"}},"schemaId":"components/schemas/ScanFormCreateRequest","pointer":"/paths/~1api~1scan_form~1create_scan_form/post/requestBody"}],"panels":[{"children":[{"kind":"code-sample","source":{"kind":"code-sample","operationType":"http","method":"POST","path":"/api/scan_form/create_scan_form","servers":[{"url":"https://x-api.shipsaving.com"}],"parameters":{"path":[],"query":[],"querystring":[],"header":[],"cookie":[]},"security":[{"schemes":[{"id":"BearerAuth","type":"http","scheme":"bearer","bearerFormat":"JWT"}],"scopes":[]}],"requestBody":{"application/json":{"schemaId":"components/schemas/ScanFormCreateRequest"}},"responseCodes":["200"],"pointer":"/api/scan_form/create_scan_form","href":"scan-form/createscanform","openApiOperationId":"createScanForm","summary":"创建 SCAN Form"},"isWebhook":false,"hideReplay":false,"servers":[{"url":"https://x-api.shipsaving.com"}],"schemaId":"components/schemas/ScanFormCreateRequest","mediaTypes":["application/json"],"mediaTypeSchemas":{"application/json":{"schemaId":"components/schemas/ScanFormCreateRequest"}},"examples":[]}]}]},{"nodeType":"container","children":[{"nodeType":"header","level":4,"label":"Responses","labelTranslationKey":"responses","deepLinkSuffix":"responses"},{"nodeType":"item-content","variant":"responses","responses":[{"code":"200","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"成功"},"children":[]}]}]}],"mediaType":"application/json","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ScanFormCreateResponseEnvelope"}},"schemaId":"components/schemas/ScanFormCreateResponseEnvelope"}],"pointer":"/paths/~1api~1scan_form~1create_scan_form/post/responses"}],"panels":[{"children":[{"kind":"response","headerTitle":"Response","responseCodes":[{"code":"200","schemaId":"components/schemas/ScanFormCreateResponseEnvelope","mediaTypes":["application/json"],"mediaTypeContent":{"application/json":{"schemaId":"components/schemas/ScanFormCreateResponseEnvelope"}}}],"examples":[]}]}]}]},"httpPath":"/api/scan_form/create_scan_form"}],"content":{"contentType":"group","meta":{"name":"SCAN Form"},"children":[{"nodeType":"container","children":[{"nodeType":"header","level":2,"label":"SCAN Form","showPageActions":true}],"panels":[{"children":[{"kind":"group-items","title":"Operations","titleTranslationKey":"operations","items":[{"title":"/api/scan_form/create_scan_form","summary":"创建 SCAN Form","prefix":{"name":"post","color":"post"},"badges":[],"link":"/scan-form/createscanform","deprecated":false}]}]}]}]}}],"store":{"schemaStore":{"components/schemas/TokenResponse":{"id":"components/schemas/TokenResponse","kind":"json-schema","title":"TokenResponse","data":{"type":"object","properties":{"access_token":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"JWT访问令牌。"},"children":[]}]}]}]},"token_type":{"type":"string","example":"Bearer"},"expires_in":{"type":"integer","format":"int32","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"过期时间（秒，默认1800）。"},"children":[]}]}]}]},"scope":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"已授予的作用域（如有返回）。"},"children":[]}]}]}]}}}},"components/schemas/OAuthError":{"id":"components/schemas/OAuthError","kind":"json-schema","title":"OAuthError","data":{"type":"object","properties":{"error":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"OAuth 2.0错误代码"},"children":[]}]}]}],"example":"invalid_request"},"error_description":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"人类可读的说明"},"children":[]}]}]}]},"error_uri":{"type":"string"}}}},"components/schemas/RequestUniqueId":{"id":"components/schemas/RequestUniqueId","kind":"json-schema","title":"RequestUniqueId","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"由请求方生成的唯一标识，用于标记批量请求中的单个运费报价请求。该值将在对应的响应中原样返回，以确保请求与响应之间的一一对应关系。"},"children":[]}]}]}],"example":"unique_uuid_001"}},"components/schemas/BasicAddress":{"id":"components/schemas/BasicAddress","kind":"json-schema","title":"BasicAddress","data":{"required":["street","city","state","country","zip_code"],"type":"object","properties":{"street":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"建筑物门牌号及其所在的道路或街道名称。"},"children":[]}]}]}],"example":"xxxx Olive Street"},"street2":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"地址的次级单元标识，例如公寓号（APT）或套房号（STE），用于明确建筑物内的具体位置。"},"children":[]}]}]}],"example":"STE XXX"},"city":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"地址所属的城市名称。"},"children":[]}]}]}],"example":"Los Angeles"},"state":{"type":"string","description":[{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"对于美国地址，该字段必须为有效的两位州代码（例如“CA”表示加利福尼亚州，“NY”表示纽约州）。"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"对于非美国地址，该字段的取值不作限制。"},"children":[]}]}]}]}],"example":"CA"},"zip_code":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"地址对应的邮政编码。"},"children":[]}]}]}],"example":"021XX"},"country":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"国家两位字母代码。该字段的值应为"},"children":[]},{"$$mdtype":"Node","type":"link","inline":true,"attributes":{"href":"https://en.wikipedia.org/wiki/ISO_3166-1"},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"ISO 3166-1 two-digit code"},"children":[]}]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"两位国家代码。"},"children":[]}]}]}],"example":"US"}}}},"components/schemas/AddressFrom":{"id":"components/schemas/AddressFrom","kind":"json-schema","title":"AddressFrom","data":{"allOf":[{"type":"object","required":["first_name","last_name","zip_code"],"properties":{"first_name":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"与地址对应的名字。对于批量快速运费报价API，该参数为可选项。"},"children":[]}]}]}],"example":"Alice"},"last_name":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"与地址对应的姓氏。对于批量快速运费报价API，该参数为可选项。"},"children":[]}]}]}],"example":"Green"},"company_name":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"与地址对应的公司或商户名称。"},"children":[]}]}]}],"example":"ShipSaving"},"phone":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"发件人或收件人的电话号码。国际运单为必填项。强烈建议为所有运单提供电话号码，以确保准确投递并在需要时便于承运商联系。"},"children":[]}]}]}],"example":"1234567890"},"email":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"发件人或收件人的电子邮箱地址。承运商可能会使用该邮箱发送投递通知或用于问题处理。"},"children":[]}]}]}],"example":"it@shipsaving.com"}}},{"$ref":"#/components/schemas/BasicAddress"}]}},"components/schemas/AddressTo":{"id":"components/schemas/AddressTo","kind":"json-schema","title":"AddressTo","data":{"allOf":[{"$ref":"#/components/schemas/AddressFrom"},{"type":"object","required":["address_type"],"properties":{"address_type":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"用于指示目的地地址是住宅地址还是商业地址。该标志用于确定承运商特定的附加费用（例如UPS住宅投递附加费）。"},"children":[]}]}]}],"example":"residential","enum":["residential","commercial"]}}}]}},"components/schemas/CarrierPackageCodeEnum":{"id":"components/schemas/CarrierPackageCodeEnum","kind":"json-schema","title":"CarrierPackageCodeEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"承运商包装代码标识符。请参阅 附录 - 承运商包装代码，以了解 ShipSaving 新版 API（v2）中支持的取值。"},"children":[]}]}]}],"example":"USPS_SMALL_FLAT_RATE_BOX","enum":["USPS_LETTER","USPS_LARGE_ENVELOPE_OR_FLAT","USPS_THICK_ENVELOPE","USPS_SMALL_FLAT_RATE_BOX","USPS_MEDIUM_FLAT_RATE_BOX","USPS_LARGE_FLAT_RATE_BOX","USPS_FLAT_RATE_ENVELOPE","USPS_PADDED_FLAT_RATE_ENVELOPE","USPS_LEGAL_FLAT_RATE_ENVELOPE","UPS_LETTER","UPS_25KG_BOX","UPS_10KG_BOX","UPS_TUBE","UPS_PAK","UPS_EXPRESS_BOX_SMALL","UPS_EXPRESS_BOX_MEDIUM","UPS_EXPRESS_BOX_LARGE","FEDEX_ENVELOPE","FEDEX_PAK","FEDEX_TUBE","FEDEX_EXTRA_SMALL_BOX","FEDEX_SMALL_BOX","FEDEX_MEDIUM_BOX","FEDEX_LARGE_BOX","FEDEX_EXTRA_LARGE_BOX","FEDEX_BOX","FEDEX_10KG_BOX","FEDEX_25KG_BOX","UPS_CANADA_LETTER","UPS_CANADA_25KG_BOX","UPS_CANADA_10KG_BOX","UPS_CANADA_TUBE","UPS_CANADA_PAK","UPS_CANADA_EXPRESS_BOX_SMALL","UPS_CANADA_EXPRESS_BOX_MEDIUM","UPS_CANADA_EXPRESS_BOX_LARGE","UPS_CANADA_EXPRESS_BOX"]}},"components/schemas/DimensionUnitEnum":{"id":"components/schemas/DimensionUnitEnum","kind":"json-schema","title":"DimensionUnitEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"所选尺寸单位。"},"children":[]}]}]}],"example":"in","enum":["in","cm"]}},"components/schemas/WeightUnitEnum":{"id":"components/schemas/WeightUnitEnum","kind":"json-schema","title":"WeightUnitEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"所选择的重量单位。"},"children":[]}]}]}],"example":"lb","enum":["lb","oz","kg","g"]}},"components/schemas/ShipmentPackageData":{"id":"components/schemas/ShipmentPackageData","kind":"json-schema","title":"ShipmentPackageData","data":{"type":"object","properties":{"type":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"用于定义所寄送包裹的类型。"},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"my_package"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：当需要指定自定义包裹尺寸时使用。需要提供"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"width"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"length"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"height"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"dimension_unit"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"、"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"weight"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"和"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"weight_unit"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"。"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"predefined"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"：当选择承运商预定义的包裹类型时使用。仅需提供"},"children":[]},{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"carrier_package_code"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"和重量相关字段；尺寸字段将被忽略。"},"children":[]}]}]}]}],"example":"my_package","enum":["my_package","predefined"]},"length":{"type":"number","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"包裹在所选单位下的长度。"},"children":[]}]}]}],"example":10},"width":{"type":"number","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"包裹在所选单位下的宽度。"},"children":[]}]}]}],"example":10},"height":{"type":"number","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"包裹在所选单位下的高度。"},"children":[]}]}]}],"example":10},"weight":{"type":"number","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"包裹在所选单位下的重量。"},"children":[]}]}]}],"example":10},"carrier_package_code":{"$ref":"#/components/schemas/CarrierPackageCodeEnum"},"dimension_unit":{"$ref":"#/components/schemas/DimensionUnitEnum"},"weight_unit":{"$ref":"#/components/schemas/WeightUnitEnum"}}}},"components/schemas/SignatureTypeEnum":{"id":"components/schemas/SignatureTypeEnum","kind":"json-schema","title":"SignatureTypeEnum","data":{"type":"string","description":[{"$$mdtype":"Node","type":"paragraph","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":"请求投递签名确认。取值："},"children":[]}]}]},{"$$mdtype":"Node","type":"list","attributes":{"ordered":false,"marker":"-"},"children":[{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"signature"},"children":[]},{"$$mdtype":"Node","type":"text","inline":true,"attributes":{"content":" = 签名确认；"},"children":[]}]}]},{"$$mdtype":"Node","type":"item","attributes":{},"children":[{"$$mdtype":"Node","type":"inline","attributes":{},"children":[{"$$mdtype":"Node","type":"code","inline":true,"attributes":{"content":"adult_signature"},"children":[]},{"$$mdtype":"Node","type":"text"
[...]
